type: google.api.Service
config_version: 3
name: retail.googleapis.com
title: Retail API

apis:
- name: google.cloud.retail.v2beta.CatalogService
- name: google.cloud.retail.v2beta.CompletionService
- name: google.cloud.retail.v2beta.PredictionService
- name: google.cloud.retail.v2beta.ProductService
- name: google.cloud.retail.v2beta.SearchService
- name: google.cloud.retail.v2beta.UserEventService

types:
- name: google.cloud.retail.logging.ErrorLog
- name: google.cloud.retail.v2beta.AddFulfillmentPlacesMetadata
- name: google.cloud.retail.v2beta.AddFulfillmentPlacesResponse
- name: google.cloud.retail.v2beta.ExportErrorsConfig
- name: google.cloud.retail.v2beta.ExportMetadata
- name: google.cloud.retail.v2beta.ExportProductsResponse
- name: google.cloud.retail.v2beta.ExportUserEventsResponse
- name: google.cloud.retail.v2beta.ImportCompletionDataResponse
- name: google.cloud.retail.v2beta.ImportErrorsConfig
- name: google.cloud.retail.v2beta.ImportMetadata
- name: google.cloud.retail.v2beta.ImportProductsResponse
- name: google.cloud.retail.v2beta.ImportUserEventsResponse
- name: google.cloud.retail.v2beta.PurgeMetadata
- name: google.cloud.retail.v2beta.PurgeUserEventsResponse
- name: google.cloud.retail.v2beta.RejoinUserEventsMetadata
- name: google.cloud.retail.v2beta.RejoinUserEventsResponse
- name: google.cloud.retail.v2beta.RemoveFulfillmentPlacesMetadata
- name: google.cloud.retail.v2beta.RemoveFulfillmentPlacesResponse
- name: google.cloud.retail.v2beta.SetInventoryMetadata
- name: google.cloud.retail.v2beta.SetInventoryResponse

documentation:
  summary: |-
    Cloud Retail service enables customers to build end-to-end personalized
    recommendation systems without requiring a high level of expertise in
    machine learning, recommendation system, or Google Cloud.
  rules:
  - selector: google.cloud.location.Locations.GetLocation
    description: Gets information about a location.

  - selector: google.cloud.location.Locations.ListLocations
    description: Lists information about the supported locations for this service.

backend:
  rules:
  - selector: 'google.cloud.retail.v2beta.ProductService.*'
    deadline: 30.0
  - selector: google.cloud.retail.v2beta.ProductService.ImportProducts
    deadline: 300.0
  - selector: google.cloud.retail.v2beta.UserEventService.ImportUserEvents
    deadline: 300.0
  - selector: google.cloud.retail.v2beta.UserEventService.PurgeUserEvents
    deadline: 30.0
  - selector: google.longrunning.Operations.ListOperations
    deadline: 300.0

http:
  rules:
  - selector: google.longrunning.Operations.GetOperation
    get: '/v2beta/{name=projects/*/locations/*/operations/*}'
    additional_bindings:
    - get: '/v2beta/{name=projects/*/locations/*/catalogs/*/operations/*}'
    - get: '/v2beta/{name=projects/*/locations/*/catalogs/*/branches/*/operations/*}'
  - selector: google.longrunning.Operations.ListOperations
    get: '/v2beta/{name=projects/*/locations/*}/operations'
    additional_bindings:
    - get: '/v2beta/{name=projects/*/locations/*/catalogs/*}/operations'

authentication:
  rules:
  - selector: google.cloud.location.Locations.GetLocation
    oauth:
      canonical_scopes: |-
        https://www.googleapis.com/auth/cloud-platform
  - selector: google.cloud.location.Locations.ListLocations
    oauth:
      canonical_scopes: |-
        https://www.googleapis.com/auth/cloud-platform
  - selector: 'google.cloud.retail.v2beta.CatalogService.*'
    oauth:
      canonical_scopes: |-
        https://www.googleapis.com/auth/cloud-platform
  - selector: google.cloud.retail.v2beta.CompletionService.CompleteQuery
    oauth:
      canonical_scopes: |-
        https://www.googleapis.com/auth/cloud-platform
  - selector: google.cloud.retail.v2beta.CompletionService.ImportCompletionData
    oauth:
      canonical_scopes: |-
        https://www.googleapis.com/auth/cloud-platform
  - selector: google.cloud.retail.v2beta.PredictionService.Predict
    oauth:
      canonical_scopes: |-
        https://www.googleapis.com/auth/cloud-platform
  - selector: 'google.cloud.retail.v2beta.ProductService.*'
    oauth:
      canonical_scopes: |-
        https://www.googleapis.com/auth/cloud-platform
  - selector: google.cloud.retail.v2beta.SearchService.Search
    oauth:
      canonical_scopes: |-
        https://www.googleapis.com/auth/cloud-platform
  - selector: 'google.cloud.retail.v2beta.UserEventService.*'
    oauth:
      canonical_scopes: |-
        https://www.googleapis.com/auth/cloud-platform
  - selector: google.longrunning.Operations.GetOperation
    oauth:
      canonical_scopes: |-
        https://www.googleapis.com/auth/cloud-platform
  - selector: google.longrunning.Operations.ListOperations
    oauth:
      canonical_scopes: |-
        https://www.googleapis.com/auth/cloud-platform
